      subroutine rhs3d (tile)      


      use Agrif_Util
#include "Param_BeforeCall_rhs3d.h"
      integer(4) :: tile
      

        call Sub_Loop_rhs3d(tile, Agrif_tabvars_i(16)%iarray0, Agrif_tab
     &vars_i(15)%iarray0, Agrif_tabvars(117)%array3, Agrif_tabvars(116)%
     &array3, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_i(7)%iarray0)

      end


#include "Sub_Loop_rhs3d.h"
      subroutine rhs3d_tile (Istr,Iend,Jstr,Jend, ru,rv, CF,FC,DC,
     &                                 wrk1,wrk2, UFx,UFe, VFx,VFe)      


      use Agrif_Util
#include "Param_BeforeCall_rhs3d_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,1:N) :: ru
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,1:N) :: rv
      real, dimension(Istr-2:Iend+2,0:N) :: CF
      real, dimension(Istr-2:Iend+2,0:N) :: FC
      real, dimension(Istr-2:Iend+2,0:N) :: DC
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: wrk1
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: wrk2
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: UFx
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: UFe
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: VFx
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: VFe
      

        call Sub_Loop_rhs3d_tile(Istr,Iend,Jstr,Jend,ru,rv,CF,FC,DC,wrk1
     &,wrk2,UFx,UFe,VFx,VFe, Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_
     &i(4)%iarray0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%iarr
     &ay0, Agrif_tabvars(97)%array2, Agrif_tabvars(98)%array2, Agrif_tab
     &vars(257)%array2, Agrif_tabvars(264)%array2, Agrif_tabvars(158)%ar
     &ray2, Agrif_tabvars(99)%array2, Agrif_tabvars(100)%array2, Agrif_t
     &abvars(258)%array2, Agrif_tabvars(265)%array2, Agrif_tabvars(159)%
     &array2, Agrif_tabvars(141)%array3, Agrif_tabvars(80)%array2, Agrif
     &_tabvars(144)%array3, Agrif_tabvars(78)%array2, Agrif_tabvars_i(8)
     &%iarray0, Agrif_tabvars(145)%array3, Agrif_tabvars(79)%array2, Agr
     &if_tabvars_i(7)%iarray0, Agrif_tabvars(90)%array2, Agrif_tabvars(1
     &50)%array4, Agrif_tabvars(89)%array2, Agrif_tabvars_i(154)%iarray0
     &, Agrif_tabvars(149)%array4, Agrif_tabvars(112)%array2, Agrif_tabv
     &ars(143)%array3, Agrif_tabvars_l(13)%larray0, Agrif_tabvars_l(14)%
     &larray0, Agrif_tabvars_l(11)%larray0, Agrif_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_rhs3d_tile.h"
